if (material >= 22 && material <= 27) {
	emission = clamp(max(max(max(albedo.r - albedo.b, albedo.r - albedo.g), max(albedo.b - albedo.g, albedo.b - albedo.r)), max(albedo.g - albedo.r, albedo.g - albedo.b)), 0.0, 1.0);
	if (material == 23) {
		emission = clamp(float((albedo.b > 0.5 && albedo.r < 0.55) || (albedo.g > 0.8 && albedo.r > 0.8 && albedo.b > 0.8)), 0.0, 1.0);
	}
	emission = clamp(emission * float(emission > 0.1), 0.0, 1.0) * lAlbedo;
}